mscorlib 2.0.0.0 4.0.0.0 System.Object System.Collections.IEnumerator To be added.

Provides the ability to iterate through the access control entries (ACEs) in an access control list (ACL).

- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.GenericAce To be added. To be added.

  Gets the current element in the collection. This property gets the type-friendly version of the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  After an enumerator is created or after a call to the method, an enumerator is positioned before the first element of the collection, and the first call to the method moves the enumerator over the first element of the collection.

  After the end of the collection is passed, subsequent calls to return false until is called.

  An enumerator remains valid as long as the collection remains unchanged. If changes, such as adding, modifying, or deleting elements, are made to the collection, the enumerator is irrecoverably invalidated and the next call to or throws an .

  Advances the enumerator to the next element of the collection.

  true if the enumerator was successfully advanced to the next element; false if the enumerator has passed the end of the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  An enumerator remains valid as long as the collection remains unchanged. If , such as adding, modifying, or deleting elements, are made to the collection, the enumerator is irrecoverably invalidated and the next call to the method or the method throws an

  Sets the enumerator to its initial position, which is before the first element in the collection.

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added. To be added.